
clear

%% COORDINATE VECTORS AND MATRICES
x = linspace(-30,30,1000);
dx = x(2) - x(1);

%% DEFINE THE FUNCTION WE WILL PLOT
z = (sin(x) ./ x) .^2;

figure(1)
% plot original function
plot(z)
title('original function')

% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(2)
plot(z)
title('derivative 1')

% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(3)
plot(z)
title('derivative 2')


% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(4)
plot(z)
title('derivative 3')


% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(5)
plot(z)
title('derivative 4')

% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(6)
plot(z)
title('derivative 5')


% calculate the next derivative
z = diff(z)/dx;

% plot first derivative
figure(7)
plot(z)
title('derivative 6')


